import json

import requests

from shared import OKOBAU_URL


def get_full_epd(uid: str) -> dict:
    """Get the full dataset for a single EPD"""

    base_url = f"{OKOBAU_URL}/processes/{uid}"
    response = requests.get(f"{base_url}?format=json&view=extended")

    response.raise_for_status()
    data = response.json()
    data["source"] = base_url

    return data

    base_url = f"{OKOBAU_URL}/processes/{uid}"
    response = requests.get(f"{base_url}?format=json&view=extended")
    response.raise_for_status()

    data = response.json()
    data['source'] = base_url

    return data


def get_epd_by_id(uuid: str):
    """Fetches the data of a specific EPD given its UUID"""
    data = get_full_epd(uuid)

    print(f"Got EPD: {uuid[:8]}")
    print(json.dumps(data, indent=2))

    data = get_full_epd(uuid)

    print(f"Got EPD: {uuid[:8]}\n")
    print(json.dumps(data, indent=2))


if __name__ == "__main__":
    epd_id = "8be9edb5-c5b9-4be1-bfb8-b096f24a183b"

    get_epd_by_id(epd_id)
    get_epd_by_id(epd_id)
